<?php
//***************************************************************
//* 
//*		Title		:	Server Status
//*		
//*		Author		:	Barry Keal
//*
//*		Date		:	29 Jun 2004
//*
//*		Version		:	2.05
//*
//*		Description	: 	Server Status Monitor
//*
//*		Revisions	:	29 Jun 2004
//*   				:	17 Sep 2004 Fixed fsock port problem
// *				:	19 Sep 2004 Enhanced to give email notification
// *				:				and refresh
//*					:	03 Oct 2004 Made admin menus consistent
//*					:	19 May 2005 Added comments for each server
//*		
//*		Support at	:	www.keal.me.uk
//*
//***************************************************************
//**************************************************************************
//*
//*  Server Status Monitor for e107 v6xx
//*
//**************************************************************************
// Plugin info -------------------------------------------------------------------------------------------------------
$eplug_name = "Server Status Monitor";
$eplug_version = "2.05";
$eplug_author = "Barry (aka Bazzer)";
$eplug_logo = "images/serve.png";
$eplug_url = "www.keal.me.uk";
$eplug_email = "serverstat@keal.me.uk";
$eplug_description = "This plugin is a Server Status Menu";
$eplug_compatible = "e107v7";
$eplug_readme = "readme.rtf";	// leave blank if no readme file
$eplug_compliant=TRUE;
$eplug_status = TRUE;
$eplug_latest = FALSE;

// Name of the plugin's folder -------------------------------------------------------------------------------------
$eplug_folder = "server_status_menu";

// Mane of menu item for plugin ----------------------------------------------------------------------------------
$eplug_menu_name = "Server Status Monitor";

// Name of the admin configuration file --------------------------------------------------------------------------
$eplug_conffile = "adminconfig.php";

// Icon image and caption text ------------------------------------------------------------------------------------
$eplug_icon = $eplug_folder."/images/serve_32.png";
$eplug_icon_small = $eplug_folder."/images/serve_16.png";
$eplug_caption =  "Configure Server Status Menu";

// List of preferences -----------------------------------------------------------------------------------------------
$eplug_prefs = array(
	"ssmon_refresh" => 5,
	"ssmon_fsocktries" => 3,
	"ssmon_fsocktimeout" => 5,
	"ssmon_emailfrom" => "me@here.com",
	"ssmon_emailsubject" => "Server Monitor Notification - ",
	"ssmon_iframeheight" => 200,
	"ssmon_scrollspeed" => 2,
	"ssmon_usescroll" => 1	
);

// List of table names -----------------------------------------------------------------------------------------------
$eplug_table_names = array(
	"ssmon_sites"
);

// List of sql requests to create tables -----------------------------------------------------------------------------
$eplug_tables = array(
"CREATE TABLE ".MPREFIX."ssmon_sites (
  ssmon_id int(10) unsigned NOT NULL auto_increment,
  ssmon_name varchar(30) default '' NULL,
  ssmon_url varchar(100) default '' NULL,
  ssmon_method int(10) unsigned default '0' NOT NULL,
  ssmon_lastcheck int(10) unsigned default '0' NOT NULL,
  ssmon_laststat int(10) unsigned default '0' NOT NULL,
  ssmon_lasttime int(10) unsigned default '0' NOT NULL,
  ssmon_fsockport int(10) unsigned default '80' NOT NULL,
  ssmon_address varchar(100) default '' NULL,
  ssmon_email varchar(100) default '' NULL,
  ssmon_maxfail int(10) unsigned default '0' NOT NULL,
  ssmon_numtries int(10) unsigned default '0' NOT NULL,
  ssmon_notified int(10) unsigned default '0' NOT NULL,
  ssmon_desc varchar(100) default '' NULL,
  PRIMARY KEY  (ssmon_id)
) TYPE=MyISAM;");


// Create a link in main menu (yes=TRUE, no=FALSE) -------------------------------------------------------------
$eplug_link = false;
$eplug_link_name = "";
$eplug_link_url = "";

// Text to display after plugin successfully installed ------------------------------------------------------------------
$eplug_done = "Goto the admin section and modify your system settings";

// upgrading ... //

$upgrade_add_prefs = "";
$upgrade_remove_prefs = "";
$upgrade_alter_tables = "";
$eplug_upgrade_done = "Upgraded - now go and check the config.  See the readme to find out more.";
?>	